import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'

import "@/assets/style/base.less"
import "@/components"
import "@/mixins/global.js"
import mFetch from "@/api"
Vue.config.productionTip = false

Vue.prototype.$api = mFetch
import previewMedia from "@/components/previewMedia/index.js"

Vue.use(previewMedia)
Vue.config.productionTip = false

Vue.prototype.$api = mFetch

// require('./utils/vconsole');



new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
